Quantcast

Jump to content

» «
Photo

[GTA IV|EFLC|REL] Scocl

166 replies to this topic
Tufu600
  • Tufu600

    Player Hater

  • Members
  • Joined: 20 Oct 2011

#31

Posted 15 November 2011 - 09:49 AM

You're bad ass. This should certainly come in handy.

Fantaseb
  • Fantaseb

    One Nation, One Love, But Who? ;)

  • BUSTED!
  • Joined: 17 Oct 2011

#32

Posted 15 November 2011 - 12:28 PM Edited by Fantaseb, 15 November 2011 - 12:40 PM.

QUOTE (Alexander Blade @ Monday, Nov 14 2011, 21:45)
the point is that everyone who can actually code scripts can handle everything regarding scocl by himself cuz all needed info for such people is already available in the *.chm
scripts of gta iv is a lot more than sa and all previous versions , u need to have C coding skillz anyway to use this


Okay I understand C but when I go to edit a file, that save it does nothing and I am using the scocl.exe, so like I am confused now. Anyway I also wanna know, how do I load these into the scripts.img file? I want to put mods in multiplayer, alright I am going to message you ok?

terreur69
  • terreur69

    C2C - Down The Road

  • Members
  • Joined: 27 Dec 2010

#33

Posted 16 November 2011 - 05:00 PM

I have my games in 1.7, when i put the placed sco zombomd already Compiler, it works perfectly, but against, if i compile all .c , game crash through eror " SRCP40 " confused.gif

Alexander Blade
  • Alexander Blade

    Come As You Are

  • Members
  • Joined: 05 Nov 2006

#34

Posted 16 November 2011 - 11:38 PM

Tufu600
Do u think that R* cud open separate script coder vacation for handy tool ? job at R*N

terreur69
R u replacing all 11 sco scripts ? r u compiling using visual studio ? remember that startup must be compiled with globalseg

terreur69
  • terreur69

    C2C - Down The Road

  • Members
  • Joined: 27 Dec 2010

#35

Posted 17 November 2011 - 11:31 AM

it's good, i forgot the space between out" and globalseg colgate.gif

SILENT_Pavel
  • SILENT_Pavel

    Square Civilian

  • Members
  • Joined: 19 Aug 2010

#36

Posted 21 November 2011 - 09:34 PM

Alexander Blade
Privet! biggrin.gif Awesome project pal, cos using standart script - it's just right what we need, i think smile.gifuser posted image

QUOTE ("Alexander Blade")
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon.

Can you please write something like converter to edit SCO mods from 7 patch to NON patched gta iv original? Or just another version/update Scocl to use with non-patchet IV?

Why i'm asking that thing? Cos in this way we CAN do scripting on Xbox360 and PS3 with no problem!!

Istn its just great breakthrough in modding, do you agree? I thing many people will support me in this desire, right, guys? wink.gif

Well, what do you think, comrade? Thanks in advance!

Frank.s
  • Frank.s

  • The Yardies
  • Joined: 15 Apr 2008

#37

Posted 23 November 2011 - 05:58 PM Edited by Frank.s, 23 November 2011 - 06:02 PM.

Is there a list of what the (IS_KEYBOARD_KEY_PRESSED( 31 )) numbers are? I tried the old (same as SannyBuilder) decimal keycodes and they aren't the same.

Skorpro
  • Skorpro

    GTAholic

  • Members
  • Joined: 19 Jul 2009

#38

Posted 25 November 2011 - 09:50 PM

QUOTE (Frank.s @ Wednesday, Nov 23 2011, 17:58)
Is there a list of what the (IS_KEYBOARD_KEY_PRESSED( 31 )) numbers are? I tried the old (same as SannyBuilder) decimal keycodes and they aren't the same.

Hi, try this...

Virtual Key Codes (for Delphi in hexadecimal)
or
Virtual Key Codes (the same list...)

(Hope it works! In C ++ it works great!)

Maybe you need this too: "IS_CONTROL_PRESSED"
CONTROL Key Codes (the 5th post by Spaceeinstein!)

Have fun biggrin.gif

iriedreadlock23
  • iriedreadlock23

    Dr. Frankenstein

  • Members
  • Joined: 14 Jan 2009

#39

Posted 26 November 2011 - 03:41 AM

Hi Alexander!

Thank you for your incredible effort. This is perfect SDK for all developers, as the script performance is now exactly where it should be.

I wonder if it's possible to read/write external file data from compiled scripts? I need to use dynamic data (to save/load vector data), so can you explain how can we achieve this? Is there any workaround? I've been using ScriptHook interface to achieve this in the past, but now SCO would help me build more quick and direct version of my mods.

Thanks in advance.

LostDerp
  • LostDerp

    Player Hater

  • Members
  • Joined: 27 Nov 2011

#40

Posted 27 November 2011 - 03:02 PM

QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

ShakingASS
  • ShakingASS

    Rollin Clufs

  • BUSTED!
  • Joined: 11 Sep 2011

#41

Posted 28 November 2011 - 05:21 PM

QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

AngryAmoeba
  • AngryAmoeba

    Symbiote

  • Members
  • Joined: 12 Jan 2009

#42

Posted 29 November 2011 - 12:48 AM

QUOTE (ShakingASS @ Monday, Nov 28 2011,11:21)
1.0.4.0 is lame use new patch enb now support for 1.0.7.0

That's simply not true. ENB Series does not fully support 1.0.7.0. If you want all ENB features to be enabled, you have to use 1.0.4.0 or 1.0.3.0.

ShakingASS
  • ShakingASS

    Rollin Clufs

  • BUSTED!
  • Joined: 11 Sep 2011

#43

Posted 29 November 2011 - 05:36 AM

QUOTE (AngryAmoeba @ Tuesday, Nov 29 2011, 00:48)
QUOTE (ShakingASS @ Monday, Nov 28 2011,11:21)
1.0.4.0 is lame use new patch enb now support for 1.0.7.0

That's simply not true. ENB Series does not fully support 1.0.7.0. If you want all ENB features to be enabled, you have to use 1.0.4.0 or 1.0.3.0.

Wrong you are my enb series works with all effects check out ChinaGreenElvis shader fix it actually fixed it.

LostDerp
  • LostDerp

    Player Hater

  • Members
  • Joined: 27 Nov 2011

#44

Posted 29 November 2011 - 12:22 PM

QUOTE (ShakingASS @ Monday, Nov 28 2011, 17:21)
QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

The game barely works for me on 1.0.7.0.

ShakingASS
  • ShakingASS

    Rollin Clufs

  • BUSTED!
  • Joined: 11 Sep 2011

#45

Posted 30 November 2011 - 03:51 AM

QUOTE (LostDerp @ Tuesday, Nov 29 2011, 12:22)
QUOTE (ShakingASS @ Monday, Nov 28 2011, 17:21)
QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

The game barely works for me on 1.0.7.0.

1.0.4.0 doesn't give any fps.Just use shader fix then your set.
Also graphics better on patch 1.0.7.0

LostDerp
  • LostDerp

    Player Hater

  • Members
  • Joined: 27 Nov 2011

#46

Posted 30 November 2011 - 12:36 PM

QUOTE (ShakingASS @ Wednesday, Nov 30 2011, 03:51)
QUOTE (LostDerp @ Tuesday, Nov 29 2011, 12:22)
QUOTE (ShakingASS @ Monday, Nov 28 2011, 17:21)
QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

The game barely works for me on 1.0.7.0.

1.0.4.0 doesn't give any fps.Just use shader fix then your set.
Also graphics better on patch 1.0.7.0

I can run 1.0.4.0 at a clear 60fps at max, 1.0.7.0 runs at about 30fps and gets extreme slowdowns every minute or two. Stop telling me to use 1.0.7.0, I'm not going to.

ShakingASS
  • ShakingASS

    Rollin Clufs

  • BUSTED!
  • Joined: 11 Sep 2011

#47

Posted 30 November 2011 - 09:46 PM

QUOTE (LostDerp @ Wednesday, Nov 30 2011, 12:36)
QUOTE (ShakingASS @ Wednesday, Nov 30 2011, 03:51)
QUOTE (LostDerp @ Tuesday, Nov 29 2011, 12:22)
QUOTE (ShakingASS @ Monday, Nov 28 2011, 17:21)
QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

The game barely works for me on 1.0.7.0.

1.0.4.0 doesn't give any fps.Just use shader fix then your set.
Also graphics better on patch 1.0.7.0

I can run 1.0.4.0 at a clear 60fps at max, 1.0.7.0 runs at about 30fps and gets extreme slowdowns every minute or two. Stop telling me to use 1.0.7.0, I'm not going to.

Well i perfer better graphics and use damn fps tweaks.Just helping you out.

Tufu600
  • Tufu600

    Player Hater

  • Members
  • Joined: 20 Oct 2011

#48

Posted 01 December 2011 - 05:05 PM

QUOTE (LostDerp @ Wednesday, Nov 30 2011, 12:36)
QUOTE (ShakingASS @ Wednesday, Nov 30 2011, 03:51)
QUOTE (LostDerp @ Tuesday, Nov 29 2011, 12:22)
QUOTE (ShakingASS @ Monday, Nov 28 2011, 17:21)
QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

The game barely works for me on 1.0.7.0.

1.0.4.0 doesn't give any fps.Just use shader fix then your set.
Also graphics better on patch 1.0.7.0

I can run 1.0.4.0 at a clear 60fps at max, 1.0.7.0 runs at about 30fps and gets extreme slowdowns every minute or two. Stop telling me to use 1.0.7.0, I'm not going to.

Nobody is going to bend over backwards for you just because you don't want to run the newest patch. It's your problem, so fix it.
/endof

LostDerp
  • LostDerp

    Player Hater

  • Members
  • Joined: 27 Nov 2011

#49

Posted 01 December 2011 - 11:26 PM

QUOTE (Tufu600 @ Thursday, Dec 1 2011, 17:05)
QUOTE (LostDerp @ Wednesday, Nov 30 2011, 12:36)
QUOTE (ShakingASS @ Wednesday, Nov 30 2011, 03:51)
QUOTE (LostDerp @ Tuesday, Nov 29 2011, 12:22)
QUOTE (ShakingASS @ Monday, Nov 28 2011, 17:21)
QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

The game barely works for me on 1.0.7.0.

1.0.4.0 doesn't give any fps.Just use shader fix then your set.
Also graphics better on patch 1.0.7.0

I can run 1.0.4.0 at a clear 60fps at max, 1.0.7.0 runs at about 30fps and gets extreme slowdowns every minute or two. Stop telling me to use 1.0.7.0, I'm not going to.

Nobody is going to bend over backwards for you just because you don't want to run the newest patch. It's your problem, so fix it.
/endof

It's not just me, 3 other people have requested it in this thread. Also I'm not demanding it, I'm asking for it.

ShakingASS
  • ShakingASS

    Rollin Clufs

  • BUSTED!
  • Joined: 11 Sep 2011

#50

Posted 01 December 2011 - 11:57 PM

QUOTE (LostDerp @ Thursday, Dec 1 2011, 23:26)
QUOTE (Tufu600 @ Thursday, Dec 1 2011, 17:05)
QUOTE (LostDerp @ Wednesday, Nov 30 2011, 12:36)
QUOTE (ShakingASS @ Wednesday, Nov 30 2011, 03:51)
QUOTE (LostDerp @ Tuesday, Nov 29 2011, 12:22)
QUOTE (ShakingASS @ Monday, Nov 28 2011, 17:21)
QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

The game barely works for me on 1.0.7.0.

1.0.4.0 doesn't give any fps.Just use shader fix then your set.
Also graphics better on patch 1.0.7.0

I can run 1.0.4.0 at a clear 60fps at max, 1.0.7.0 runs at about 30fps and gets extreme slowdowns every minute or two. Stop telling me to use 1.0.7.0, I'm not going to.

Nobody is going to bend over backwards for you just because you don't want to run the newest patch. It's your problem, so fix it.
/endof

It's not just me, 3 other people have requested it in this thread. Also I'm not demanding it, I'm asking for it.

No sorry.

janusantsky
  • janusantsky

    Rat

  • Members
  • Joined: 27 Apr 2010

#51

Posted 03 December 2011 - 06:56 PM

hello this is very cool but can someone do a tutorial to know wich file i have to copy to make for an example the zombi mod working

and with this can of script can we add weapons to the game ?

LostDerp
  • LostDerp

    Player Hater

  • Members
  • Joined: 27 Nov 2011

#52

Posted 04 December 2011 - 03:45 PM

QUOTE (ShakingASS @ Thursday, Dec 1 2011, 23:57)
QUOTE (LostDerp @ Thursday, Dec 1 2011, 23:26)
QUOTE (Tufu600 @ Thursday, Dec 1 2011, 17:05)
QUOTE (LostDerp @ Wednesday, Nov 30 2011, 12:36)
QUOTE (ShakingASS @ Wednesday, Nov 30 2011, 03:51)
QUOTE (LostDerp @ Tuesday, Nov 29 2011, 12:22)
QUOTE (ShakingASS @ Monday, Nov 28 2011, 17:21)
QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

The game barely works for me on 1.0.7.0.

1.0.4.0 doesn't give any fps.Just use shader fix then your set.
Also graphics better on patch 1.0.7.0

I can run 1.0.4.0 at a clear 60fps at max, 1.0.7.0 runs at about 30fps and gets extreme slowdowns every minute or two. Stop telling me to use 1.0.7.0, I'm not going to.

Nobody is going to bend over backwards for you just because you don't want to run the newest patch. It's your problem, so fix it.
/endof

It's not just me, 3 other people have requested it in this thread. Also I'm not demanding it, I'm asking for it.

No sorry.

It's ok I got it working on 1.0.4.0 by changing the natives.cfg to one for 1.0.4.0.

Frank.s
  • Frank.s

  • The Yardies
  • Joined: 15 Apr 2008

#53

Posted 06 December 2011 - 09:47 PM Edited by Frank.s, 07 December 2011 - 11:24 PM.

Could someone please tell me what is the native function that creates the mission arrows?

user posted image

jitsuin
  • jitsuin

    Meat Popsicle

  • BUSTED!
  • Joined: 06 Dec 2011

#54

Posted 06 December 2011 - 11:01 PM

QUOTE (ShakingASS @ Wednesday, Nov 30 2011, 03:51)
QUOTE (LostDerp @ Tuesday, Nov 29 2011, 12:22)
QUOTE (ShakingASS @ Monday, Nov 28 2011, 17:21)
QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

The game barely works for me on 1.0.7.0.

1.0.4.0 doesn't give any fps.Just use shader fix then your set.
Also graphics better on patch 1.0.7.0

i have EFLC using ChinaGreenElvis ENB, which does look awesome, and I have GTA IV 1.0.4 using Icenhancer 1.35 and Ice is 100000000000x better wink.gif

1.0.4.0 with Icenhancer 1.35 is the best, no substitute!

AlphaWolF_J
  • AlphaWolF_J

    Rat

  • Members
  • Joined: 27 Sep 2011

#55

Posted 07 December 2011 - 11:39 AM

Ive never attempted scripting before but im looking in to this one because from what i understand this method should be the only way to script mod from now on as its about as you can get to how rock-star actually did it, and seems to use the modded scripts from the script img file as the game intended to do EG: native! , correct me if im wrong ?.

It would be really cool of you if you would do a brief guide/tutorial

My noob question is in the in the (open4.decompiled ) folder i can see all the scripts for each game version iv/lad/bogt,
are those just the decompiled game scripts for viewing how things were done or could i actually edit and compile for use.

and noob question again take for example tbogt folder it seems from what ive seen the scripts that are named like tony1/tony2/tony3 & so on they would be the missions that he gives you in that order ? because that could open up real possibility with completing changing the missions to what you want.

ShakingASS
  • ShakingASS

    Rollin Clufs

  • BUSTED!
  • Joined: 11 Sep 2011

#56

Posted 07 December 2011 - 01:45 PM

QUOTE (jitsuin @ Tuesday, Dec 6 2011, 23:01)
QUOTE (ShakingASS @ Wednesday, Nov 30 2011, 03:51)
QUOTE (LostDerp @ Tuesday, Nov 29 2011, 12:22)
QUOTE (ShakingASS @ Monday, Nov 28 2011, 17:21)
QUOTE (LostDerp @ Sunday, Nov 27 2011, 15:02)
QUOTE (Alexander Blade @ Saturday, Nov 12 2011, 20:39)
terreur69
Oh , u cant use this with 1040 , cuz 1040 is using old native hashes , only newest patches biggrin.gif I'll do the update for the scocl soon .

Rapier
Im not sure if ill do an update for the Alice , cuz almost noone used it . And about delphi - no , i can't rewrite the whole compiler , C-like syntax is easy to learn anyway .

Can you please add 1040 support?

1.0.4.0 is lame use new patch enb now support for 1.0.7.0

The game barely works for me on 1.0.7.0.

1.0.4.0 doesn't give any fps.Just use shader fix then your set.
Also graphics better on patch 1.0.7.0

i have EFLC using ChinaGreenElvis ENB, which does look awesome, and I have GTA IV 1.0.4 using Icenhancer 1.35 and Ice is 100000000000x better wink.gif

1.0.4.0 with Icenhancer 1.35 is the best, no substitute!

You can put other enb's it's a fix he just included his enb which i don't use.

jitsuin
  • jitsuin

    Meat Popsicle

  • BUSTED!
  • Joined: 06 Dec 2011

#57

Posted 07 December 2011 - 03:25 PM

@ShakingAss

Which ENB do you use?

ShakingASS
  • ShakingASS

    Rollin Clufs

  • BUSTED!
  • Joined: 11 Sep 2011

#58

Posted 08 December 2011 - 04:25 AM

QUOTE (jitsuin @ Wednesday, Dec 7 2011, 15:25)
@ShakingAss

Which ENB do you use?

My own i made.

terreur69
  • terreur69

    C2C - Down The Road

  • Members
  • Joined: 27 Dec 2010

#59

Posted 11 December 2011 - 05:31 PM

new for compatible old natives ???

ShakingASS
  • ShakingASS

    Rollin Clufs

  • BUSTED!
  • Joined: 11 Sep 2011

#60

Posted 12 December 2011 - 03:15 AM

QUOTE (terreur69 @ Sunday, Dec 11 2011, 17:31)
new for compatible old natives ???

Patch 1.0.7.0 is better don't do patch 1.0.7.0




3 user(s) are reading this topic

0 members, 3 guests, 0 anonymous users